Bug 728917 - jboss-brms.war deployed failed with jboss seam 2.2.4.EAP5
Summary: jboss-brms.war deployed failed with jboss seam 2.2.4.EAP5
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor)
Version: BRMS 5.2.0-ER1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: BRMS 5.2.0.GA
Assignee: Tihomir Surdilovic
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 11:45 UTC by Ryan Zhang
Modified: 2014-10-27 01:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-16 21:09:45 UTC
Type: ---


Attachments (Terms of Use)
server.log (52.96 KB, application/octet-stream)
2011-08-08 11:45 UTC, Ryan Zhang
no flags Details
jboss-seam-remoteing-2.2.4.EAP5.jar (161 bytes, text/plain)
2011-08-08 11:47 UTC, Ryan Zhang
no flags Details
jboss-seam-2.2.4.EAP5.jar (1.19 MB, application/x-java-archive)
2011-08-08 11:51 UTC, Ryan Zhang
no flags Details
jboss-seam-remoting-2.2.4.EAP5.jar (108.39 KB, application/x-java-archive)
2011-08-08 11:51 UTC, Ryan Zhang
no flags Details


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-1602 Major Resolved Guvnor deploy failed with jboss seam 2.2.2.Final 2016-06-08 18:59:08 UTC
Red Hat Bugzilla 724783 None None None Never

Description Ryan Zhang 2011-08-08 11:45:03 UTC
Created attachment 517184 [details]
server.log

Description of problem:

BRMS Manager(jboss-brms.war) has deployment error with JBoss seam 2.2.4.EAP5.jar which should consistent with the seam version in EWP 5.1.1.

This issue is depended by Bug 724783  

At the moment (BRMS 5.2.0-ER1), jboss seam version in jboss-brms.war is 2.1.0.GA.
To replace it with 2.2.4.EAP5.jar. I hit deployment error like:

2011-08-08 13:25:33,529 ERROR [org.apache.catalina.core.ContainerBase.[jboss.web].[localhost].[/jboss-brms]] (main) Exception sending context initialized event to listener instance of class org.jboss.seam.servlet.SeamListener
java.lang.IllegalAccessError: tried to access class javassist.bytecode.StackMapTable$Writer from class org.jboss.seam.util.ProxyFactory
	at org.jboss.seam.util.ProxyFactory.makeConstructor(ProxyFactory.java:803)
	at org.jboss.seam.util.ProxyFactory.makeConstructors(ProxyFactory.java:685)
	at org.jboss.seam.util.ProxyFactory.make(ProxyFactory.java:565)
	at org.jboss.seam.util.ProxyFactory.createClass3(ProxyFactory.java:346)
	at org.jboss.seam.util.ProxyFactory.createClass2(ProxyFactory.java:325)
	at org.jboss.seam.util.ProxyFactory.createClass(ProxyFactory.java:284)
	at org.jboss.seam.Component.createProxyFactory(Component.java:2452)
	at org.jboss.seam.Component.getProxyFactory(Component.java:1516)
	at org.jboss.seam.Component.wrap(Component.java:1507)
	at org.jboss.seam.Component.instantiateJavaBean(Component.java:1445)
	at org.jboss.seam.Component.instantiate(Component.java:1362)
	at org.jboss.seam.Component.newInstance(Component.java:2148)
	at org.jboss.seam.contexts.Contexts.startup(Contexts.java:305)
	at org.jboss.seam.contexts.Contexts.startup(Contexts.java:279)
	at org.jboss.seam.contexts.ServletLifecycle.endInitialization(ServletLifecycle.java:142)
	at org.jboss.seam.init.Initialization.init(Initialization.java:744)
	at org.jboss.seam.servlet.SeamListener.contextInitialized(SeamListener.java:36)
	at org.apache.catalina.core.StandardContext.listenerStart(StandardContext.java:3910)
....

 server.log attached.

Comment 1 Ryan Zhang 2011-08-08 11:47:25 UTC
Created attachment 517185 [details]
jboss-seam-remoteing-2.2.4.EAP5.jar

Comment 2 Ryan Zhang 2011-08-08 11:51:05 UTC
Created attachment 517186 [details]
jboss-seam-2.2.4.EAP5.jar

Comment 3 Ryan Zhang 2011-08-08 11:51:42 UTC
Created attachment 517187 [details]
jboss-seam-remoting-2.2.4.EAP5.jar

Comment 4 Ryan Zhang 2011-08-08 11:55:56 UTC
To reproduce the deployment error, please replace jboss-seam-2.1.0.GA.jar and jboss-seam-remoting-2.1.0.GA.jar with the attached two jars in jboss-brms.war/WEB-INF/lib. Start the server, error would appear in server.log.

Comment 5 Ryan Zhang 2011-08-16 09:04:07 UTC
This issue blocked Bug 724783  - (BRMS-621) seam jar versions conflict  )

Comment 6 Tihomir Surdilovic 2011-08-16 21:08:33 UTC
The version of Seam shipped in Guvnor has never aligned with the Seam version shipped in the EAP. Same thing for all previous releases of BRMS, the Seam version in BRM has never aligned with the Seam version shipped in the seam directory of the EAP ditro. I do not understand if this has become a requirements for BRMS 5.2? 

BRMS 5.2 also ships on EWP (standalone) where no Seam distro is present. Either way, changing the Seam version that is in the web-inf/lib directory of the Guvnor war is not really an issue because afail war's are isolated in EAP by default.

Comment 7 Tihomir Surdilovic 2011-08-16 21:09:34 UTC
I will close this given the last comment. Please reopen if not satisfied.

Comment 8 Ryan Zhang 2011-08-23 11:50:49 UTC
This issue should also be linked with https://issues.jboss.org/browse/GUVNOR-1602

Comment 9 Geoffrey De Smet 2011-08-23 11:55:02 UTC
Reopening as it will likely disappear when we fix GUVNOR-1602 (make guvnor work with seam 2.2.2.Final).

Comment 10 Geoffrey De Smet 2011-08-23 15:12:59 UTC
Should be fixed now, with this backport:
  https://github.com/droolsjbpm/droolsjbpm-build-bootstrap/commit/1c582ee240518a945c523821067e963b97e8cb6d

Comment 11 Lukáš Petrovický 2011-08-31 13:14:12 UTC
Bug 499109 clearly doesn't depend on this one.

Comment 12 Lukáš Petrovický 2011-08-31 14:16:21 UTC
This is no longer an issue with BRMS 5.2.0.ER3. VERIFIED


Note You need to log in before you can comment on or make changes to this bug.